Subject: Re: bug#74966: 31.0.50; Crash report (using igc on macOS)

From: Gerd Möllmann <[email-masked]>
Date: Thu, 19 Dec 2024 11:25:12 +0100

Sean Devlin <[email-masked]> writes:

> Hi folks,
>
> I was using Emacs and encountered a crash.
>
> I am running on macOS, and I built Emacs from scratch/igc using the
> instructions on that branch.
>
> I didn’t have Emacs running under a debugger, but I do have some crash
> information captured by macOS. (See attached.)
>
> At the time, I was trying to use apropos-documentation. I invoked the
> command once, entered a string, and hit RET, and it signaled an error. I
> tried to do this again and Emacs crashed.
>
> I hope this is useful. Please let me know if there’s any other
> information I can collect.
>
> Thanks!
>
.c:1811)
> 11  Emacs                         	       0x100d222a4 handle_sigsegv + 64 (sysdep.c:1949)
> 12  libsystem_platform.dylib      	       0x19435ee04 _sigtramp + 56
> 13  apropos-7c1ecbdf-5d074552.eln 	       0x103407010 F6170726f706f732d736166652d646f63756d656e746174696f6e_apropos_safe_documentation_0 + 208
> 14  Emacs                         	       0x100dd0a4c exec_byte_code + 2648 (bytecode.c:828)
> 15  Emacs                         	       0x100d82488 Ffuncall + 456 (eval.c:3099)
> 16  apropos-7c1ecbdf-5d074552.eln 	       0x103405968 F6170726f706f732d2d6d61702d7072656c6f616465642d61746f6d73_apropos__map_preloaded_atoms_0 + 696

Looks to me like apropos-safe-documentation, native compiled, has a
problem here and gets an EXC_BAD_ACCESS. But that's all I can see. It's
not even clear to me if this is GC-related or not.

Can you reproduce this? If yes, can you give me a recipe?

Pip, should I perhaps merge with current master? I think there have been
fixes to the native compiler on master, not sure though.